#include <cstdio>
#include <cstdlib>
#include <cstring>
#include <algorithm>
#include <iostream>
#include <cmath>
using namespace std;

typedef pair< double, double > pii;

const int N = 205;
int n;
pii P[ N ];

double ccw( pii A, pii B, pii C ) {
    return A.first * ( B.second - C.second ) + B.first * ( C.second - A.second ) + C.first * ( A.second - B.second );
}

void load( ) {
    cin >> n;
    for( int i = 0; i < n+1; i++ ) cin >> P[ i ].first >> P[ i ].second;
}

void solve( ) {
    double sol = 0.0;
    for( int i = 2; i <= n-1; i++ ) sol += ccw( P[ 1 ], P[ i ], P[ i + 1 ] );
   // if( n > 3 ) sol +=fabs( ccw( P[ n - 2 ], P[ n - 1 ], P[ 1 ] ) );
    sol = fabs( sol );
    printf( "%.10lf\n", sol * 2 );
}

int main( void ) {
    load( );
    solve( );
    return 0;
}
